Page MenuHomeFreeBSD

devel/powerpc64-gcc: Properly set CONFIGURE_TARGET for when amd64 is either the host or target.
ClosedPublic

Authored by jhb on Jul 11 2018, 4:31 PM.

Details

Summary

CONFIGURE_TARGET is used for --build which is the host performing the
build. TARGETARCH is used in powerpc64-gcc/Makefile as the target
architecture of the binaries generated by the compiler being built.
When building a non-amd64 target compiler on an amd64 host,
CONFIGURE_TARGET was set to amd64-unknown-freebsd which confused GCC
(it breaks compilation of an i386 target compiler on an amd64 host).
It would also result in setting CONFIGURE_TARGET improperly when
building an amd64 compiler on a non-amd64 host. Fix by remapping
amd64 to x86-64 if the ARCH is amd64 rather than the TARGETARCH.

Test Plan
  • build devel/i386-gcc. It fails because it thinks i386-driver.o should exist, but gcc's config.host doesn't add it because it doesn't recognize an amd64-* host.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Jul 11 2018, 4:31 PM
linimon retitled this revision from Properly set CONFIGURE_TARGET for when amd64 is either the host or target. to devel/powerpc64-gcc: Properly set CONFIGURE_TARGET for when amd64 is either the host or target..Jul 18 2018, 12:48 PM
bapt accepted this revision.Jul 24 2018, 4:28 PM
This revision is now accepted and ready to land.Jul 24 2018, 4:28 PM
This revision was automatically updated to reflect the committed changes.